Bug 436342 - Publican unable to generate output
Publican unable to generate output
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 12:06 EST by Mohd Izhar Firdaus Ismail
Modified: 2010-11-23 23:17 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 01:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failure log (3.30 KB, text/plain)
2008-03-19 03:26 EDT, Mohd Izhar Firdaus Ismail
no flags Details

  None (edit)
Description Mohd Izhar Firdaus Ismail 2008-03-06 12:06:22 EST
Description of problem:
make command failed with these errors

[..snip..]
	Infrastructure.xml
	Introduction.xml
	IRC.xml
	Legal_Notice.xml
	OtherTech.xml
	Preface.xml
	Revision_History.xml
END: xml-en-US Thu Mar  6 23:55:28 MYT 2008
START: test-en-US Thu Mar  6 23:55:28 MYT 2008
I/O error : Attempt to load network entity
http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
tmp/en-US/xml/colUTPit.xml:9: warning: failed to load external entity
"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
]>
  ^
I/O error : Attempt to load network entity
http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
tmp/en-US/xml/Book_Info.xml:9: warning: failed to load external entity
"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
]>
  ^
I/O error : Attempt to load network entity
http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
tmp/en-US/xml/Legal_Notice.xml:9: warning: failed to load external entity
"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
]>
[...snip...]

Version-Release number of selected component (if applicable):
publican-0.30-0.fc9.noarch
libxslt-1.1.22-2.fc9.i386

How reproducible:
everytime

Steps to Reproduce:
1. create a publican document
2. make html
3.
  
Actual results:
failed with a bunch of I/O error trying to request for an internet address

Expected results:
the document built

Additional info:
I am not really sure whether this is publican or libxslt or something else's problem
Comment 1 Jeff Fearn 2008-03-18 01:49:59 EDT
This is due to Fedora 8 having outdated XSL files. Either docbook-style-xsl
needs to be updated or we need to include the correct docboook xsl in the
package, as we do internally for RHEL.

Comment 2 Jens Petersen 2008-03-19 01:49:33 EDT
but the report is for rawhide
Comment 3 Jeff Fearn 2008-03-19 02:07:17 EDT
So it is, this will still be a problem for FC8 though.

If docbook-style-xsl is installed on rawhide it should not require any network
access. Not sure how this would not be installed given the requires are in place.
Comment 4 Jens Petersen 2008-03-19 02:16:22 EDT
Can you describe exactly your steps, Mohd Izhar?

This following works for me:
$ rpm -q publican libxslt
publican-0.30-0.fc9
libxslt-1.1.22-2.fc9
$ create_book --name=my-book
$ cd my-book
$ make html
Comment 5 Jens Petersen 2008-03-19 02:18:25 EDT
and that works for me even if I take down eth0.
Comment 6 Mohd Izhar Firdaus Ismail 2008-03-19 02:28:22 EDT
(In reply to comment #4)
> $ create_book --name=my-book
> $ cd my-book
> $ make html
> 

even this doesnt work for me

more additional infos:

[izhar@hikari test-book]$ rpm -qa publican docbook\*
docbook-utils-pdf-0.6.14-13.fc9.noarch
docbook-style-xsl-1.73.2-9.fc9.noarch
docbook-style-dsssl-1.79-5.fc9.noarch
docbook-simple-1.1-3.fc9.noarch
docbook-utils-0.6.14-13.fc9.noarch
docbook-slides-3.4.0-3.fc9.noarch
docbook-dtds-1.0-35.fc9.noarch
publican-0.30-0.fc9.noarch
docbook2X-0.8.8-2.fc9.i386


publican on Fedora8 works without problem though
[kagesenshi@Hoshino ~]$ rpm -qa publican docbook\*
docbook-dtds-1.0-32.fc8
docbook-style-dsssl-1.79-4.1
docbook-style-xsl-1.73.2-5.fc8
publican-0.29-2.fc9
docbook-utils-0.6.14-11.fc8
Comment 7 Jens Petersen 2008-03-19 03:03:10 EDT
Are you running F8 or rawhide?

Can you attach the exact output of "make html" or the target you are trying to run?
Comment 8 Mohd Izhar Firdaus Ismail 2008-03-19 03:26:25 EDT
Created attachment 298480 [details]
failure log

"test-book" is a new book created by create_book command
Comment 9 Mohd Izhar Firdaus Ismail 2008-03-19 03:30:57 EDT
(In reply to comment #7)
> Are you running F8 or rawhide?
> 

I'm on rawhide, i have another computer with F8
Comment 10 Mohd Izhar Firdaus Ismail 2008-03-25 11:32:54 EDT
Updated to today's rawhide, problem still persist

=========================

[izhar@hikari tmp]$ create_book --name=testbook
[izhar@hikari tmp]$ cd testbook/
[izhar@hikari testbook]$ make html

WARNING: PRODUCT is set to the default setting of 'Documentation', are you sure
this is correct?
	Run 'make help_params' for more information on this setting

START: xml-en-US Tue Mar 25 23:23:32 MYT 2008
	copying common/en-US Common_Content
	copying common/en-US Common_Content
cleaning files
	Appendix.xml
	Author_Group.xml
	Book_Info.xml
	Chapter.xml
	Preface.xml
	Revision_History.xml
	testbook.xml
END: xml-en-US Tue Mar 25 23:23:36 MYT 2008
START: test-en-US Tue Mar 25 23:23:36 MYT 2008
warning: failed to load external entity "tmp/en-US/xml/Feedback.xml"
END: test-en-US Tue Mar 25 23:23:39 MYT 2008
START: html-en-US Tue Mar 25 23:23:39 MYT 2008
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 16 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 17 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 18 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 19 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl
make: *** [html-en-US] Error 5
[izhar@hikari testbook]$ rpm -qa docbook\* publican libxslt\*
docbook-utils-pdf-0.6.14-13.fc9.noarch
docbook-style-xsl-1.73.2-9.fc9.noarch
docbook2X-0.8.8-3.fc9.i386
docbook-style-dsssl-1.79-5.fc9.noarch
docbook-simple-1.1-3.fc9.noarch
libxslt-1.1.22-2.fc9.i386
docbook-utils-0.6.14-13.fc9.noarch
docbook-dtds-1.0-35.fc9.noarch
docbook-slides-3.4.0-3.fc9.noarch
publican-0.30-0.fc9.noarch
Comment 11 kushaldas@gmail.com 2008-03-28 17:03:42 EDT
I am having the same problem in rawhide
Comment 12 Paul W. Frields 2008-03-29 13:32:08 EDT
It would probably be sportsmanlike for publican to offer a choice of DocBook
versions for people on other platforms.  It could derive these from xmlcatalog,
or another, smarter way.
Comment 13 kushaldas@gmail.com 2008-03-29 15:03:24 EDT
This is what I am getting currently





[kd@blackbox testbook]$ make html

WARNING: PRODUCT is set to the default setting of 'Documentation', are you sure
this is correct?
        Run 'make help_params' for more information on this setting

START: xml-en-US Sun Mar 30 00:25:40 IST 2008
        copying common/en-US Common_Content
        copying common/en-US Common_Content
cleaning files
        Appendix.xml
        Author_Group.xml
        Book_Info.xml
        Chapter.xml
        Preface.xml
        Revision_History.xml
        testbook.xml
END: xml-en-US Sun Mar 30 00:25:41 IST 2008
START: test-en-US Sun Mar 30 00:25:41 IST 2008
warning: failed to load external entity "tmp/en-US/xml/Feedback.xml"
END: test-en-US Sun Mar 30 00:25:42 IST 2008
START: html-en-US Sun Mar 30 00:25:42 IST 2008
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 16 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 17 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-common.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 18 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk-code.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl"
compilation error: file /usr/share/publican/xsl/main-html.xsl line 19 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/xhtml/manifest.xsl
make: *** [html-en-US] Error 5
Comment 14 Jeff Fearn 2008-04-02 23:02:13 EDT
I removed --nonet from the xsltproc calls.
Comment 15 kushaldas@gmail.com 2008-04-06 20:49:16 EDT
I just updated my system to the latest rawhide, still getting the following error

[kd@blackbox Templates]$ create_book --name=testbook
[kd@blackbox Templates]$ cd testbook/
[kd@blackbox testbook]$ make pdf

WARNING: PRODUCT is set to the default setting of 'Documentation', are you sure
this is correct?
        Run 'make help_params' for more information on this setting

START: xml-en-US Mon Apr  7 06:11:35 IST 2008
        copying common/en-US Common_Content
        copying common/en-US Common_Content
cleaning files
        Appendix.xml
        Author_Group.xml
        Book_Info.xml
WARNING: Unknown tag: phrase. This tag may not be displayed correctly
        Chapter.xml
        Preface.xml
WARNING: Unknown tag: xi:fallback. This tag may not be displayed correctly
        Revision_History.xml
        testbook.xml
END: xml-en-US Mon Apr  7 06:11:36 IST 2008
START: test-en-US Mon Apr  7 06:11:36 IST 2008
warning: failed to load external entity "tmp/en-US/xml/Feedback.xml"
END: test-en-US Mon Apr  7 06:11:37 IST 2008
START: pdf-en-US Mon Apr  7 06:11:37 IST 2008
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"
compilation error: file /usr/share/publican/xsl/main-pdf.xsl line 22 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/fo/graphics.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/fo/graphics.xsl"
compilation error: file /usr/share/publican/xsl/main-pdf.xsl line 23 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/fo/graphics.xsl

USAGE
Fop [options] [-fo|-xml] infile [-xsl file]
[-awt|-pdf|-mif|-rtf|-tiff|-png|-pcl|-ps|-txt|-at [mime]|-print] <outfile>
 [OPTIONS]
  -d                debug mode
  -x                dump configuration settings
  -q                quiet mode
  -c cfg.xml        use additional configuration file cfg.xml
  -l lang           the language to use for user information
  -r                relaxed/less strict validation (where available)
  -dpi xxx          target resolution in dots per inch (dpi) where xxx is a number
  -s                for area tree XML, down to block areas only
  -v                to show FOP version being used

  -o [password]     PDF file will be encrypted with option owner password
  -u [password]     PDF file will be encrypted with option user password
  -noprint          PDF file will be encrypted without printing permission
  -nocopy           PDF file will be encrypted without copy content permission
  -noedit           PDF file will be encrypted without edit content permission
  -noannotations    PDF file will be encrypted without edit annotation permission
  -pdfprofile prof  PDF file will be generated with the specified profile
                    (Examples for prof: PDF/A-1b or PDF/X-3:2003)

 [INPUT]
  infile            xsl:fo input file (the same as the next)
  -fo  infile       xsl:fo input file
  -xml infile       xml input file, must be used together with -xsl
  -atin infile      area tree input file
  -imagein infile   image input file
  -xsl stylesheet   xslt stylesheet

  -param name value <value> to use for parameter <name> in xslt stylesheet
                    (repeat '-param name value' for each parameter)

 [OUTPUT]
  outfile           input will be rendered as PDF into outfile
  -pdf outfile      input will be rendered as PDF (outfile req'd)
  -pdfa1b outfile   input will be rendered as PDF/A-1b compliant PDF
                    (outfile req'd, same as "-pdf outfile -pdfprofile PDF/A-1b")
  -awt              input will be displayed on screen
  -rtf outfile      input will be rendered as RTF (outfile req'd)
  -pcl outfile      input will be rendered as PCL (outfile req'd)
  -ps outfile       input will be rendered as PostScript (outfile req'd)
  -afp outfile      input will be rendered as AFP (outfile req'd)
  -tiff outfile     input will be rendered as TIFF (outfile req'd)
  -png outfile      input will be rendered as PNG (outfile req'd)
  -txt outfile      input will be rendered as plain text (outfile req'd)
  -at [mime] out    representation of area tree as XML (outfile req'd)
                    specify optional mime output to allow AT to be converted
                    to final format later
  -print            input file will be rendered and sent to the printer
                    see options with "-print help"
  -out mime outfile input will be rendered using the given MIME type
                    (outfile req'd) Example: "-out application/pdf D:\out.pdf"
                    (Tip: "-out list" prints the list of supported MIME types)
  -mif outfile      input will be rendered as MIF (FrameMaker) (outfile req'd)
                    Experimental feature - requires additional fop-sandbox.jar.
  -svg outfile      input will be rendered as an SVG slides file (outfile req'd)
                    Experimental feature - requires additional fop-sandbox.jar.

  -foout outfile    input will only be XSL transformed. The intermediate
                    XSL-FO file is saved and no rendering is performed.
                    (Only available if you use -xml and -xsl parameters)


 [Examples]
  Fop foo.fo foo.pdf
  Fop -fo foo.fo -pdf foo.pdf (does the same as the previous line)
  Fop -xml foo.xml -xsl foo.xsl -pdf foo.pdf
  Fop -xml foo.xml -xsl foo.xsl -foout foo.fo
  Fop foo.fo -mif foo.mif
  Fop foo.fo -rtf foo.rtf
  Fop foo.fo -print or Fop -print foo.fo
  Fop foo.fo -awt

Apr 7, 2008 6:11:39 AM org.apache.fop.cli.Main startFOP
SEVERE: Exception
java.io.FileNotFoundException: Error: fo file
/home/kd/Templates/testbook/tmp/en-US/xml/testbook.fo not found
        at
org.apache.fop.cli.CommandLineOptions.checkSettings(CommandLineOptions.java:764)
        at org.apache.fop.cli.CommandLineOptions.parse(CommandLineOptions.java:147)
        at org.apache.fop.cli.Main.startFOP(Main.java:154)
        at org.apache.fop.cli.Main.main(Main.java:196)
make: *** [pdf-en-US] Error 1
Comment 16 Jeff Fearn 2008-04-07 17:46:30 EDT
Missed a nonet :( Removed it and built 0.33, might take a while to get to the
mirrors.
Comment 17 Fedora Update System 2008-04-09 02:14:25 EDT
publican-fedora-0.12-0.fc8,publican-0.33-0.fc8 has been submitted as an update for Fedora 8
Comment 18 kushaldas@gmail.com 2008-04-10 00:44:46 EDT
make html is successful, but not the make pdf.
$ rpm -qa | grep publican
publican-0.33-0.fc9.noarch


[kd@blackbox testbook]$ make pdf

WARNING: PRODUCT is set to the default setting of 'Documentation', are you sure
this is correct?
        Run 'make help_params' for more information on this setting

START: xml-en-US Thu Apr 10 09:53:44 IST 2008
        copying common/en-US Common_Content
        copying common/en-US Common_Content
cleaning files
        Appendix.xml
        Author_Group.xml
        Book_Info.xml
WARNING: Unknown tag: phrase. This tag may not be displayed correctly
        Chapter.xml
        Preface.xml
WARNING: Unknown tag: xi:fallback. This tag may not be displayed correctly
        Revision_History.xml
        testbook.xml
END: xml-en-US Thu Apr 10 09:53:45 IST 2008
START: test-en-US Thu Apr 10 09:53:45 IST 2008
warning: failed to load external entity "tmp/en-US/xml/Feedback.xml"
END: test-en-US Thu Apr 10 09:53:46 IST 2008
START: pdf-en-US Thu Apr 10 09:53:46 IST 2008
error : Operation in progress
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"
compilation error: file /usr/share/publican/xsl/main-pdf.xsl line 22 element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
Apr 10, 2008 9:54:49 AM org.apache.fop.apps.FopFactoryConfigurator configure
INFO: Default page-height set to: 11in
Apr 10, 2008 9:54:49 AM org.apache.fop.apps.FopFactoryConfigurator configure
INFO: Default page-width set to: 8.26in
Apr 10, 2008 9:54:51 AM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'Symbol,normal,700' not found. Substituting with 'Symbol,normal,400'.
Apr 10, 2008 9:54:51 AM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,normal,700' not found. Substituting with
'ZapfDingbats,normal,400'.
Apr 10, 2008 9:54:52 AM org.apache.fop.render.AbstractRenderer renderXML
SEVERE: Some XML content will be ignored. Could not render XML
java.lang.ExceptionInInitializerError
        at org.apache.batik.gvt.AbstractGraphicsNode.paint(Unknown Source)
        at org.apache.batik.gvt.ShapeNode.paint(Unknown Source)
        at org.apache.batik.gvt.CompositeGraphicsNode.primitivePaint(Unknown Source)
        at org.apache.batik.gvt.AbstractGraphicsNode.paint(Unknown Source)
        at org.apache.batik.gvt.CompositeGraphicsNode.primitivePaint(Unknown Source)
        at org.apache.batik.gvt.CanvasGraphicsNode.primitivePaint(Unknown Source)
        at org.apache.batik.gvt.AbstractGraphicsNode.paint(Unknown Source)
        at org.apache.batik.gvt.CompositeGraphicsNode.primitivePaint(Unknown Source)
        at org.apache.batik.gvt.AbstractGraphicsNode.paint(Unknown Source)
        at
org.apache.fop.render.pdf.PDFSVGHandler.renderSVGDocument(PDFSVGHandler.java:261)
        at
org.apache.fop.render.AbstractGenericSVGHandler.handleXML(AbstractGenericSVGHandler.java:57)
        at
org.apache.fop.render.AbstractRenderer.renderXML(AbstractRenderer.java:799)
        at
org.apache.fop.render.PrintRenderer.renderDocument(PrintRenderer.java:169)
        at
org.apache.fop.render.pdf.PDFImageHandlerXML.generateImage(PDFImageHandlerXML.java:55)
        at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1745)
        at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1679)
        at
org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:734)
        at
org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:557)
        at
org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:617)
        at
org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1345)
        at
org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:592)
        at
org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1336)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:529)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:424)
        at
org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:403)
        at
org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:337)
        at
org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:282)
        at
org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:255)
        at
org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:229)
        at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:801)
        at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:113)
        at
org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.finishPage(AbstractPageSequenceLayoutManager.java:312)
        at
org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:167)
        at
org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.makeNewPage(AbstractPageSequenceLayoutManager.java:284)
        at
org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:504)
        at
org.apache.fop.layoutmgr.PageBreaker.getNextBlockList(PageBreaker.java:131)
        at
org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:302)
        at
org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:264)
        at
org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:106)
        at
org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:234)
        at
org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:123)
        at
org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:340)
        at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:169)
        at
com.sun.org.apache.xml.internal.serializer.ToXMLSAXHandler.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.xinclude.XIncludeHandler.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanEndElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.next(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
        at
com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
        at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
        at
com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transformIdentity(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(Unknown
Source)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)
Caused by: java.lang.IllegalArgumentException: Can't load standard profile:
LINEAR_RGB.pf
        at java.awt.color.ICC_Profile$2.run(ICC_Profile.java:912)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.color.ICC_Profile.getStandardProfile(ICC_Profile.java:905)
        at java.awt.color.ICC_Profile.getInstance(ICC_Profile.java:886)
        at java.awt.color.ColorSpace.getInstance(ColorSpace.java:347)
        at org.apache.batik.ext.awt.image.GraphicsUtil.<clinit>(Unknown Source)
        ... 78 more
Apr 10, 2008 9:54:52 AM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,italic,400' not found. Substituting with
'ZapfDingbats,normal,400'.
Apr 10, 2008 9:54:52 AM org.apache.fop.fo.properties.CommonHyphenation getHyphChar
WARNING: Substituted specified hyphenation character (0x25ba) with 0x2d because
the font doesn't have the specified hyphenation character: monospace,normal,400
Apr 10, 2008 9:54:52 AM org.apache.fop.fo.properties.CommonHyphenation getHyphChar
WARNING: Substituted specified hyphenation character (0x25ba) with 0x2d because
the font doesn't have the specified hyphenation character: monospace,normal,400
Apr 10, 2008 9:54:52 AM org.apache.fop.fo.properties.CommonHyphenation getHyphChar
WARNING: Substituted specified hyphenation character (0x25ba) with 0x2d because
the font doesn't have the specified hyphenation character: monospace,normal,700
Apr 10, 2008 9:54:52 AM org.apache.fop.fo.properties.CommonHyphenation getHyphChar
WARNING: Substituted specified hyphenation character (0x25ba) with 0x2d because
the font doesn't have the specified hyphenation character: monospace,normal,400
Exception in thread "main" java.lang.ExceptionInInitializerError
        at
org.apache.fop.render.pdf.ImageRenderedAdapter.<init>(ImageRenderedAdapter.java:67)
        at
org.apache.fop.render.pdf.PDFImageHandlerRenderedImage.generateImage(PDFImageHandlerRenderedImage.java:57)
        at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1745)
        at org.apache.fop.render.pdf.PDFRenderer.renderImage(PDFRenderer.java:1679)
        at
org.apache.fop.render.AbstractRenderer.renderViewport(AbstractRenderer.java:734)
        at
org.apache.fop.render.AbstractPathOrientedRenderer.renderViewport(AbstractPathOrientedRenderer.java:557)
        at
org.apache.fop.render.AbstractRenderer.renderInlineArea(AbstractRenderer.java:617)
        at
org.apache.fop.render.pdf.PDFRenderer.renderInlineArea(PDFRenderer.java:1345)
        at
org.apache.fop.render.AbstractRenderer.renderLineArea(AbstractRenderer.java:592)
        at
org.apache.fop.render.pdf.PDFRenderer.renderLineArea(PDFRenderer.java:1336)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:529)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderBlock(AbstractRenderer.java:564)
        at org.apache.fop.render.pdf.PDFRenderer.renderBlock(PDFRenderer.java:1329)
        at
org.apache.fop.render.AbstractRenderer.renderBlocks(AbstractRenderer.java:519)
        at
org.apache.fop.render.AbstractRenderer.renderFlow(AbstractRenderer.java:424)
        at
org.apache.fop.render.AbstractRenderer.renderMainReference(AbstractRenderer.java:403)
        at
org.apache.fop.render.AbstractRenderer.renderBodyRegion(AbstractRenderer.java:337)
        at
org.apache.fop.render.AbstractRenderer.renderRegionViewport(AbstractRenderer.java:282)
        at
org.apache.fop.render.AbstractRenderer.renderPageAreas(AbstractRenderer.java:255)
        at
org.apache.fop.render.AbstractRenderer.renderPage(AbstractRenderer.java:229)
        at org.apache.fop.render.pdf.PDFRenderer.renderPage(PDFRenderer.java:801)
        at org.apache.fop.area.RenderPagesModel.addPage(RenderPagesModel.java:113)
        at
org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.finishPage(AbstractPageSequenceLayoutManager.java:312)
        at
org.apache.fop.layoutmgr.PageSequenceLayoutManager.finishPage(PageSequenceLayoutManager.java:167)
        at
org.apache.fop.layoutmgr.AbstractPageSequenceLayoutManager.makeNewPage(AbstractPageSequenceLayoutManager.java:284)
        at
org.apache.fop.layoutmgr.PageBreaker.handleBreakTrait(PageBreaker.java:494)
        at org.apache.fop.layoutmgr.PageBreaker.startPart(PageBreaker.java:398)
        at
org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:421)
        at
org.apache.fop.layoutmgr.AbstractBreaker.addAreas(AbstractBreaker.java:371)
        at org.apache.fop.layoutmgr.PageBreaker.doPhase3(PageBreaker.java:262)
        at
org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:346)
        at
org.apache.fop.layoutmgr.AbstractBreaker.doLayout(AbstractBreaker.java:264)
        at
org.apache.fop.layoutmgr.PageSequenceLayoutManager.activateLayout(PageSequenceLayoutManager.java:106)
        at
org.apache.fop.area.AreaTreeHandler.endPageSequence(AreaTreeHandler.java:234)
        at
org.apache.fop.fo.pagination.PageSequence.endOfNode(PageSequence.java:123)
        at
org.apache.fop.fo.FOTreeBuilder$MainFOHandler.endElement(FOTreeBuilder.java:340)
        at org.apache.fop.fo.FOTreeBuilder.endElement(FOTreeBuilder.java:169)
        at
com.sun.org.apache.xml.internal.serializer.ToXMLSAXHandler.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.xinclude.XIncludeHandler.endElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanEndElement(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.next(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
        at
com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
        at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown
Source)
        at
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
        at
com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transformIdentity(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(Unknown
Source)
        at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.transform(Unknown
Source)
        at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
        at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
        at org.apache.fop.cli.Main.startFOP(Main.java:166)
        at org.apache.fop.cli.Main.main(Main.java:196)
Caused by: java.lang.IllegalArgumentException: Can't load standard profile:
LINEAR_RGB.pf
        at java.awt.color.ICC_Profile$2.run(ICC_Profile.java:912)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.color.ICC_Profile.getStandardProfile(ICC_Profile.java:905)
        at java.awt.color.ICC_Profile.getInstance(ICC_Profile.java:886)
        at java.awt.color.ColorSpace.getInstance(ColorSpace.java:347)
        at
org.apache.xmlgraphics.ps.ImageEncodingHelper.<clinit>(ImageEncodingHelper.java:40)
        ... 72 more
Comment 19 Jeff Fearn 2008-04-10 01:01:43 EDT
The trace is #18 is a bug in the way FOP 0.94 is handling SVGs. It works fine if
you use FOP 0.20.5 from jpackage.
Comment 20 Fedora Update System 2008-07-23 03:21:04 EDT
publican-fedora-0.12-0.fc8, publican-0.33-0.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.